package contact

import (
	"net/http"

	"github.com/zeromicro/go-zero/rest/httpx"

	"wechat-api/internal/logic/contact"
	"wechat-api/internal/svc"
	"wechat-api/internal/types"
)

// swagger:route post /contact/getWhatsappContactList contact GetWhatsappContactList
//
// Whatsapp联系人列表
//
// Whatsapp联系人列表
//
// Parameters:
//  + name: body
//    require: true
//    in: body
//    type: WhatsappContactListReq
//
// Responses:
//  200: ContactListResp

func GetWhatsappContactListHandler(svcCtx *svc.ServiceContext) http.HandlerFunc {
	return func(w http.ResponseWriter, r *http.Request) {
		var req types.WhatsappContactListReq
		if err := httpx.Parse(r, &req, true); err != nil {
			httpx.ErrorCtx(r.Context(), w, err)
			return
		}

		l := contact.NewGetWhatsappContactListLogic(r.Context(), svcCtx)
		resp, err := l.GetWhatsappContactList(&req)
		if err != nil {
			httpx.ErrorCtx(r.Context(), w, err)
		} else {
			httpx.OkJsonCtx(r.Context(), w, resp)
		}
	}
}
